## jawn 0.11.1+really0.6.0

=== debian/changelog ===
jawn (0.11.1+really0.6.0-1) unstable; urgency=medium

  * Team upload.
  * Reverted to the version 0.6.0 expected by SBT 0.13.x

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 14 Nov 2018 22:00:21 +0100

jawn (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * New upstream release
    - Build the new jawn-util module
  * No longer build with the embedded SBT using Scala 2.10 (Closes: #893456)
  * Fixed a build failure with Java 11
  * Relocated the json4s-support artifact to jawn-json4s
  * Removed the unused dependency on javahelper
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Added the missing Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 13 Nov 2018 14:41:23 +0100

jawn (0.10.4-1) experimental; urgency=medium

  * Initial release. (Closes: #855299)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 14 Apr 2017 12:48:39 +0000
