=== debian/control ===
Source: jawn
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 libjson4s-java,
 maven-repo-helper,
 scala
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/jawn.git
Vcs-Browser: https://salsa.debian.org/java-team/jawn
Homepage: https://github.com/non/jawn

Package: libjawn-java
Architecture: all
Depends: ${misc:Depends}, libjson4s-java
Description: Scala json parser
 Jawn was designed to parse JSON into an AST as quickly as possible.
 Jawn consists of three parts: a fast, generic JSON parser, a small, somewhat
 anemic AST, support packages which parse to third-party ASTs
