=== debian/watch ===
version=4
opts=repack,compression=xz,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jawn-$1\.tar\.gz/,uversionmangle=s/-(RC|M)/~$1/ \
  https://github.com/non/jawn/tags .*/v?(\d\S*)\.tar\.gz
